Bug 15676 - Actions in pending offline circulation actions are not translatable
Summary: Actions in pending offline circulation actions are not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-26 17:35 UTC by Katrin Fischer
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15676 - Actions in pending offline circulation actions are not translatable (2.47 KB, patch)
2016-05-26 16:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15676 - Actions in pending offline circulation actions are not translatable (2.59 KB, patch)
2016-05-28 06:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15676 - Actions in pending offline circulation actions are not translatable (2.66 KB, patch)
2016-06-10 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-01-26 17:35:32 UTC
When processing offline circulations the column of the results table Action column contains "issue", "return" and possibly something like payment. These values are not translatable.

Also: issue should probably be checkout and return should be check-in? :)
Comment 1 Owen Leonard 2016-05-26 16:37:21 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-28 06:48:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-10 14:52:27 UTC
Created attachment 52239 [details] [review]
Bug 15676 - Actions in pending offline circulation actions are not translatable

This patch modifies the offline circulation transaction processing page
so that English strings describing actions are processed in the template
rather than being output directly from the script.

To test, apply the patch and create an offline circulation file
containing at least one checkout, one check-in, and one payment.

- Upload the file and choose 'Add to offline circulation queue.'
- View pending offline circulation actions
- In the list of pending actions, the actions column should show "Check
  out" instead of "issue," "Check in" instead of "return," and "Payment"
  instead of "payment."

Strings appear as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-10 17:37:17 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-06-15 07:46:30 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-06-16 09:18:01 UTC
Patch pushed to 3.22.x, will be in 3.22.8